package com.eactive.eai.adapter.socket2.protocol.seed;

import java.util.Hashtable;


public class SeedErrorMessage {
	static Hashtable<String, String> hash = new Hashtable<String, String>();
	
	static {
		hash.put("-1910", "ERR_POLICY_RESERVED_CN | 이미 등록되어 있은 CN 입니다.");
	}
	
	static public String getErrorMessage(String key) {
		String value = hash.get(key);
		if (value == null) {
			return "Unknown Error.";
		}
		return value;
	}
	
	static public String getErrorMessage(int key) {
		return getErrorMessage(String.valueOf(key));
	}
}
